ReferenceAPI

Create a workspace

Create a workspace and make the caller its admin.

POST https://api.nevia.cloud/v1/workspaces
curl -X POST "https://api.nevia.cloud/v1/workspaces" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Idempotency-Key: 8f1c2a7e-3b4d-4c5e-9f0a-1b2c3d4e5f60" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "acme-prod"
  }'
{
  "workspace": {
    "id": "01d4cnjjq40hnnh0nwmkg35nv2h",
    "name": "api-staging",
    "state": "active",
    "created_at": "2026-09-10T12:34:56Z",
    "updated_at": "2026-09-10T12:34:56Z",
    "deleted_at": null
  },
  "operations": [
    "01d4cnjm89yk0r3xtv80dy0x7by"
  ]
}

Authorization

bearerAuth
Authorization Bearer <token>

Send the token in the Authorization: Bearer <token> header. See Authenticate.

In: header

Header Parameters

Idempotency-Key* string

Retry key. A retry with the same key and body replays the first response

Length 1 <= length <= 255

Request Body

application/json

Response

application/json

The new workspace, with the caller as its admin.